掘金社区

客户端不能登陆Pinned highlighted

急不得 发表在问题反馈 2020-07-04 14:54:00

问题反馈
336
2
0

提示无法连接终端服务:终端服务启动超时。
请问怎么解决

评论: 2
  • 请前往掘金的QQ群或者微信群找下我们的技术支持反馈下,最好把你的登陆日志报告发过来。

    2020-07-06 09:24:37
  • 2020-07-20 18:43:32,472 WARNING [history.py:25] error code=1001, error info=无法连接到终端服务
    2020-07-20 18:43:33,490 WARNING [history.py:25] error code=1001, error info=无法连接到终端服务
    2020-07-20 18:43:34,503 WARNING [history.py:25] error code=1001, error info=无法连接到终端服务
    2020-07-20 18:43:34,507 ERROR [query.py:92] 获取不到数据服务地址
    Traceback (most recent call last):
    File "C:\Users\Administrator\anaconda3 2020.02\lib\site-packages\gm\api\query.py", line 50, in wrapper
    return func(*args, **kw)
    File "C:\Users\Administrator\anaconda3 2020.02\lib\site-packages\gm\retrying.py", line 37, in wrapped_f
    return Retrying(*dargs, **dkw).call(f, *args, **kw)
    File "C:\Users\Administrator\anaconda3 2020.02\lib\site-packages\gm\retrying.py", line 201, in call
    raise attempt.get()
    File "C:\Users\Administrator\anaconda3 2020.02\lib\site-packages\gm\retrying.py", line 239, in get
    six.reraise(self.value[0], self.value[1], self.value[2])
    File "C:\Users\Administrator\anaconda3 2020.02\lib\site-packages\six.py", line 703, in reraise
    raise value
    File "C:\Users\Administrator\anaconda3 2020.02\lib\site-packages\gm\retrying.py", line 189, in call
    attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
    File "C:\Users\Administrator\anaconda3 2020.02\lib\site-packages\gm\api\query.py", line 400, in history_n
    df=df)
    File "C:\Users\Administrator\anaconda3 2020.02\lib\site-packages\gm\model\history.py", line 120, in get_history_n_bars
    self._init_addr()
    File "C:\Users\Administrator\anaconda3 2020.02\lib\site-packages\gm\model\history.py", line 27, in _init_addr
    raise EnvironmentError("获取不到数据服务地址")
    OSError: 获取不到数据服务地址

    KeyError Traceback (most recent call last)
    ~\anaconda3 2020.02\lib\site-packages\pandas\core\indexes\base.py in get_loc(self, key, method, tolerance)
    2645 try:
    -> 2646 return self._engine.get_loc(key)
    2647 except KeyError:

    pandas_libs\index.pyx in pandas._libs.index.IndexEngine.get_loc()

    pandas_libs\index.pyx in pandas._libs.index.IndexEngine.get_loc()

    pandas_libs\hashtable_class_helper.pxi in pandas._libs.hashtable.PyObjectHashTable.get_item()

    pandas_libs\hashtable_class_helper.pxi in pandas._libs.hashtable.PyObjectHashTable.get_item()

    KeyError: 'close'

    During handling of the above exception, another exception occurred:

    KeyError Traceback (most recent call last)
    <ipython-input-9-ab6b604f35e2> in <module>
    7
    8 data = history_n(symbol="szse.399006",frequency="1d",count=100,end_time="2017-11-31",fields="close",fill_missing="last",adjust=ADJUST_PREV,df=True)
    ----> 9 close = np.asarray(data["close"].values)
    10 ma3 = talib.MA(close, timeperiod = 3)
    11 print(ma3)

    ~\anaconda3 2020.02\lib\site-packages\pandas\core\frame.py in getitem(self, key)
    2798 if self.columns.nlevels > 1:
    2799 return self._getitem_multilevel(key)
    -> 2800 indexer = self.columns.get_loc(key)
    2801 if is_integer(indexer):
    2802 indexer = [indexer]

    ~\anaconda3 2020.02\lib\site-packages\pandas\core\indexes\base.py in get_loc(self, key, method, tolerance)
    2646 return self._engine.get_loc(key)
    2647 except KeyError:
    -> 2648 return self._engine.get_loc(self._maybe_cast_indexer(key))
    2649 indexer = self.get_indexer([key], method=method, tolerance=tolerance)
    2650 if indexer.ndim > 1 or indexer.size > 1:

    pandas_libs\index.pyx in pandas._libs.index.IndexEngine.get_loc()

    pandas_libs\index.pyx in pandas._libs.index.IndexEngine.get_loc()

    pandas_libs\hashtable_class_helper.pxi in pandas._libs.hashtable.PyObjectHashTable.get_item()

    pandas_libs\hashtable_class_helper.pxi in pandas._libs.hashtable.PyObjectHashTable.get_item()

    KeyError: 'close'

    2020-07-20 19:08:38

Looks like your connection to 掘金量化社区 - 量化交易者的策略交流学习社区 was lost, please wait while we try to reconnect.